### Enumeration

# Ggit ResetType

#### Declaration

    enum Ggit.ResetType

#### Description [src]

Describes the type of reset to perform.

#### Members

Name | Description
--- | ---
`GGIT_RESET_SOFT` | The head will be moved to the commit.
`GGIT_RESET_MIXED` | The head will be moved to the commit and the index will be replaced with the content of the commit tree.
`GGIT_RESET_HARD` | MIXED plus changes in working tree discarded.